Page MenuHomePhabricator

Add "See also" field to wikidata pages
Closed, DeclinedPublic

Description

Problem: There are many cases where two or more Wikidata pages have subtle differences. When adding a link a search may show one of these pages but not the other(s). This field would be at the bottom of the list of links (near the 'add' option) and would list other pages you should check to see if they are more suitable before adding your link here.

These would not be language specific (like the 'also known as' fields). The main point is that they be seen when a new language is added so someone with that new language selected must be able to see them.

Use cases

  • Where a town and the surrounding district have the same name and some WPs have one page covering both but other WPs have two separate pages.
  • Where a genus and a species have the same name and some WPs have one page covering both and other WPs have two pages.
  • Other cases to be defined in the project policies.

Version: unspecified
Severity: enhancement

Details

Reference
bz44092

Related Objects

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 1:23 AM
bzimport set Reference to bz44092.
bzimport added a subscriber: Unknown Object (MLST).

The proposal is to Add a 'See also' field which could contain multiple links to other Wikidata pages.

This would be at the bottom of the page and would have 'Add'/'Save|Cancel' actions. In general it would work like the 'Also known as' field for editing.

When not being edited the entries would be visible to all languages and each entry would be clickable link to the corresponding wikidata page.

(In reply to comment #0)

Problem: There are many cases where two or more Wikidata pages have subtle
differences. When adding a link a search may show one of these pages but not
the other(s).

This premise (like the user cases) makes me think that this would not be necessary if search worked correctly on Wikidata, right? I'm adding this to the tracking bug.

If the differences between the pages are subtle then the search engine may still miss one or the other. An improved search engine will reduce this problem but cannot eliminate it.

As the 'See also' pagelinks are visible to all languages these will help users of other languages who may find the search engine doesn't recognise their query.

Adding a 'see also' link seems like something we could do quickly while we are waiting for the search engine to be fixed.

Most of what is discussed here is simply a disambiguation page, but as the existing disambiguation page should use alias (it only uses labels now) that page will provide solution for most (all?) of the example problems provided here.

I think this can be closed as wontfix unless use cases can be provided that can not be solved with the disambiguation page.

(In reply to comment #4)

Most of what is discussed here is simply a disambiguation page, but as the
existing disambiguation page should use alias (it only uses labels now) that
page will provide solution for most (all?) of the example problems provided
here.

What existing disambiguation page? Are you referring to existing items which link to wikipedia disambiguation pages?

I think this can be closed as wontfix unless use cases can be provided that
can
not be solved with the disambiguation page.

When you create a new page it does not have links. When you then go to Wikidata looking for the corresponding item the search engine will often bring you to the wrong item. This often happens even if the right item exists. In this use case links to similar items would be a great help.

Disambiguation pages won't help (this is a new page so it is not on the disambiguation page).

Search doesn't help - see above.

avenue42 wrote:

I also don't follow what kind of disambiguation page Jeblad means. If a Wikipedia disambiguation page is what's meant (along with the Wikidata item linking to it), that only seems like a very partial solution. They often don't exist, and even when they do they usually don't cover the sorts of distinctions that will be important to Wikidata. Even assuming they did, and the aliases allowed you to find them when needed, you would have to navigate back to the Wikipedia pages and then back to Wikidata to reach the various items that could be confused. (I'd want to be able to pull them all up when checking the statements we have about them, for instance.) So even in the best possible case, they'd be painful to work with, and usually they wouldn't be workable at all.

If there are plans for disambiguation pages native to Wikidata, that could be much more promising. They could essentially hold a centralised form of the "See also" links proposed here, and have the advantage that there'd be only one copy of the links to maintain. Something would still need to be displayed somewhere on the relevant topics' item pages, telling readers that an associated disambiguation page exists. Perhaps a statement would be enough, if it could be highlighted somehow so it wasn't buried in the mass of other statements.

A "not to be confused with" property might be a simpler fix, although ensuring its statements would be prominently visible would again be an issue.

Denny added a comment.May 21 2013, 1:32 PM

The search using descriptions should already provide with the use case requested here. So, if there is the difference between the city and the surrounding area it would be


Tokyo
City in Japan

Tokyo
Prefecture

A better search ranking would improve that, but other than that nothing else is needed.

Restricted Application added a project: Wikidata. · View Herald TranscriptJul 12 2015, 5:46 PM
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptJan 28 2016, 6:07 PM